GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
gdcm::Module Class Reference

Class for representing a Module. More...

`#include <gdcmModule.h>`

List of all members.

## Public Types

typedef std::vector< std::string > | ArrayIncludeMacrosType
typedef std::map< Tag, ModuleEntry > | MapModuleEntry

## Public Member Functions

| Module ()
void | AddMacro (const char *include)
void | AddModuleEntry (const Tag &tag, const ModuleEntry &module)
| Will add a ModuleEntry direcly at root-level. See Macro for nested-included level.
void | Clear ()
bool | FindModuleEntryInMacros (Macros const &macros, const Tag &tag) const
const ModuleEntry & | GetModuleEntryInMacros (Macros const &macros, const Tag &tag) const
const char * | GetName () const
void | SetName (const char *name)
bool | Verify (const DataSet &ds, Usage const &usage) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Module &_val)

## Detailed Description

Class for representing a Module.

Note:
  Module: A set of Attributes within an Information Entity or Normalized IOD which are logically related to each other.

See also:
  Macro

Examples:
  TraverseModules.cxx.

## Member Typedef Documentation

typedef std::vector<std::string> gdcm::Module::ArrayIncludeMacrosType

typedef std::map<Tag, ModuleEntry> gdcm::Module::MapModuleEntry

## Constructor & Destructor Documentation

gdcm::Module::Module | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::Module::AddMacro | ( | const char * | include | ) | `[inline]`

void gdcm::Module::AddModuleEntry | ( | const Tag & | tag,
|  | const ModuleEntry & | module
| ) |  | `[inline]`

Will add a ModuleEntry direcly at root-level. See Macro for nested-included level.

void gdcm::Module::Clear | ( |  | ) | `[inline]`

bool gdcm::Module::FindModuleEntryInMacros | ( | Macros const & | macros,
|  | const Tag & | tag
| ) |  | const

Find or Get a ModuleEntry. ModuleEntry are either search are root-level or within nested-macro included in module.

Examples:
  TraverseModules.cxx.

const ModuleEntry& gdcm::Module::GetModuleEntryInMacros | ( | Macros const & | macros,
|  | const Tag & | tag
| ) |  | const

Examples:
  TraverseModules.cxx.

const char* gdcm::Module::GetName | ( |  | ) | const`[inline]`

void gdcm::Module::SetName | ( | const char * | name | ) | `[inline]`

bool gdcm::Module::Verify | ( | const DataSet & | ds,
|  | Usage const & | usage
| ) |  | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Module & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmModule.h